# Create opportunities
Creates an opportunity in Business Central.
## HTTP request
Replace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.
```
POST businesscentralPrefix/companies({id})/opportunities({id})
```
## Request headers
Header|Value
Authorization|Bearer {token}. Required.
Content-Type|application/json
## Request body
In the request body, supply a JSON representation of a opportunity object.
## Response
If successful, this method returns ```201 Created``` response code and a opportunity object in the response body.
## Example
Request
Here's an example of the request.
```json
POST https://{businesscentralPrefix}/api/v2.0/companies({id})/opportunities({id})
Content-type: application/json
{
"number": "OP100101",
"contactNumber": "CT200116",
"salespersonCode": "BC",
"description": "Description"
}
```
Response
Here's an example of the response.
```json
HTTP/1.1 201 Created
Content-type: application/json
{
"@odata.etag": "W/\"JzQ0O05OZnZiNXpLT1BhTmkvQmduNDBxL1pMR09tdE1aZjVJUVYrYVBWb0VzeDA9MTswMDsn\"",
"id": "563c6d96-cd04-ec11-9310-000d3abb70f9",
"number": "OP100101",
"contactNumber": "CT200116",
"contactName": "David Oliver Lawrence",
"contactCompanyName": "A. Gibson\"s Law Firm",
"salespersonCode": "BC",
"description": "Description",
"status": "Not_x0020_Started",
"closed": false,
"creationDate": "2021-08-24",
"dateClosed": "0001-01-01",
"calculatedCurrentValue": 0,
"chancesOfSuccessPrc": 0,
"completedPrc": 0,
"estimatedClosingDate": "0001-01-01",
"estimatedValue": 0,
"systemCreatedAt": "2021-08-24T11:22:39.02Z",
"lastModifiedDateTime": "2021-08-24T11:22:39.02Z"
}
```
## Related information
Tips for working with the APIs<../../../developer/devenv-connect-apps-tips>
../resources/dynamics_opportunity
dynamics_opportunity_get
dynamics_opportunity_delete
PATCH opportunity<dynamics_opportunity_update>

Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v2.0/api/dynamics_opportunity_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact. https://jonas-paprotka.de/docs/dev-itpro/api-reference/v2.0/api/dynamics_opportunity_create/
